//+-------------------------------------------------------------------------------+
//|                                                Example for MirandaControl DLL |
//|                                             Copyright  2010, Erich Pribitzer |
//+-------------------------------------------------------------------------------+
//| Send feedback and bugreport to: seizu@gmx.at                                  |
//+-------------------------------------------------------------------------------+

#property copyright "Copyright  2010, Erich Pribitzer"
#property link      "http://www.wartris.com"

#import "mtmim.dll"
   int m_sendCommandWaitResponse(string command, string args, string delimiter, int timeout);
   string m_getLastResponseString();
#import

#property indicator_chart_window
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+


#define INFINITE -1
int oldBars=0;


int init()
  {

   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {

   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {

   if(Bars>oldBars)
   {
      oldBars=Bars;     
      
      string text  = StringConcatenate("Hello from ",Symbol(),"-Chart!! A New bar is forming");
      string icqID = "21894783";
            
      // Sends a message to a contact (Contact must exist in your Miranda contact list)
      if(m_sendCommandWaitResponse("message",StringConcatenate(icqID,"|",text),"|", 0 ) != 0)
          Print("Error=",m_getLastResponseString());
      else
          Print("Return=",m_getLastResponseString());

      // Retrieves the command list
      m_sendCommandWaitResponse("help","","|",INFINITE );
      Print("Return=",m_getLastResponseString());
      
      // Retrieves the argument list of "message"
      m_sendCommandWaitResponse("help","message","",INFINITE );
      Print("Return=",m_getLastResponseString());
      
   }
   
   return(0);
  }
//+------------------------------------------------------------------+